Bug 788998 - setfacl doesn't error out when maximum limit of ACL entries is hit
setfacl doesn't error out when maximum limit of ACL entries is hit
Product: GlusterFS
Classification: Community
Component: access-control (Show other bugs)
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: shishir gowda
: 786810 (view as bug list)
Depends On:
Blocks: 817967
  Show dependency treegraph
Reported: 2012-02-09 09:41 EST by Anush Shetty
Modified: 2013-12-08 20:29 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-24 13:42:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2012-02-09 09:41:38 EST
Description of problem: On GlusterFS, when the maximum limit of ACL entries are hit, it doesn't error out. When tried over native filesystem, EINVAL is returned. 

Version-Release number of selected component (if applicable): 3.3.0qa21

Actual results: The exit status returned is 0. 

Expected results: Should return EINVAL
Comment 1 Anand Avati 2012-02-17 00:56:36 EST
CHANGE: http://review.gluster.com/2759 (storage/posix: reset op_ret to -1 after call to MAKE_INODE_HANDLE) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shishir gowda 2012-02-17 03:49:03 EST
*** Bug 786810 has been marked as a duplicate of this bug. ***
Comment 3 Anush Shetty 2012-02-27 01:45:15 EST
Verified with 3.3.0qa23. This issue is fixed now.

Note You need to log in before you can comment on or make changes to this bug.